# Class FileService

- Defined in src/misc/File.js:32

#####
Index

### Properties

isGpx
isKml
isValidFileSize
isWmsGetCap
isWmtsGetCap
load
read

## Properties

### isGpx

isGpx: ((fileContent) => boolean)

#### Type declaration

- - (fileContent): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:70

### isKml

isKml: ((fileContent) => boolean)

#### Type declaration

- - (fileContent): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:62

### isValidFileSize

isValidFileSize: ((fileSize) => boolean)

#### Type declaration

- - (fileSize): boolean

  - #### Parameters

    - ##### fileSize: number

    #### Returns boolean

- Defined in src/misc/File.js:38

### isWmsGetCap

isWmsGetCap: ((fileContent) => boolean)

#### Type declaration

- - (fileContent): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:46

### isWmtsGetCap

isWmtsGetCap: ((fileContent) => boolean)

#### Type declaration

- - (fileContent): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:54

### load

load: ((url, opt_cancelP?) => IPromise<Blob>)

#### Type declaration

- - (url, opt_cancelP?): IPromise<Blob>

  - #### Parameters

    - ##### url: string

      .

    - ##### `Optional` opt_cancelP: IDeferred<unknown>

      .

    #### Returns IPromise<Blob>

    .

- Defined in src/misc/File.js:123

### read

read: ((file) => IPromise<string>)

#### Type declaration

- - (file): IPromise<string>

  - #### Parameters

    - ##### file: Blob

      .

    #### Returns IPromise<string>

    .

- Defined in src/misc/File.js:80

Generated using TypeDoc